sylius_ui:
    events:
        sylius.shop.layout.topbar:
            blocks:
                left_side: '@SyliusShop/Layout/Topbar/_leftSide.html.twig'
                right_side: '@SyliusShop/Layout/Topbar/_rightSide.html.twig'

        sylius.shop.layout.topbar.left:
            blocks:
                curency_switcher: '@SyliusShop/Layout/Topbar/Left/_currencySwitcher.html.twig'
                locale_switcher: '@SyliusShop/Layout/Topbar/Left/_localeSwitcher.html.twig'
        sylius.shop.layout.topbar.right:
            blocks:
                left_side: '@SyliusShop/Layout/Topbar/Right/_securityWidget.html.twig'

        sylius.shop.homepage:
            blocks:
                banner:
                    template: "@SyliusShop/Homepage/_banner.html.twig"
                    priority: 60
                latest_products:
                    template: "@SyliusShop/Homepage/_latestProducts.html.twig"
                    priority: 50
                latest_products_carousel:
                    template: "@SyliusShop/Homepage/_latestProductsCarousel.html.twig"
                    priority: 40
                products_grid:
                    template: "@SyliusShop/Homepage/_productsGrid.html.twig"
                    priority: 30
                about_us:
                    template: "@SyliusShop/Homepage/_aboutUs.html.twig"
                    priority: 20
                newsletter:
                    template: "null"

        sylius.shop.layout.footer:
            blocks:
                reassurance:
                    template: "@SyliusShop/Homepage/_reassurance.html.twig"
                    priority: 40
                newsletter:
                    template: "@SyliusShop/Homepage/_newsletter.html.twig"
                    priority: 30
                grid:
                    template: "@SyliusShop/Layout/Footer/_grid.html.twig"
                    priority: 20
                content:
                    template: "@SyliusShop/Layout/Footer/_content.html.twig"
                    priority: 10
                after_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 5
                    context:
                        event: sylius.shop.layout.after_footer

        sylius.shop.layout.footer.grid:
            blocks:
                before_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 45
                    context:
                        event: sylius.shop.layout.before_footer
                company:
                    template: "@SyliusShop/Layout/Footer/Grid/_company.html.twig"
                    priority: 40
                your_store:
                    template: "@SyliusShop/Layout/Footer/Grid/_your_store.html.twig"
                    priority: 30
                customer_care:
                    template: "@SyliusShop/Layout/Footer/Grid/_customer_care.html.twig"
                    priority: 20
                contact_us:
                    template: "@SyliusShop/Layout/Footer/Grid/_contact_us.html.twig"
                    priority: 10

        sylius.shop.product.show.right_sidebar:
            blocks:
                header:
                    template: "@SyliusShop/Product/Show/_header.html.twig"
                    priority: 50
                after_product_header_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 45
                    context:
                        event: sylius.shop.product.show.after_product_header
                price_and_review:
                    template: "@SyliusShop/Product/Show/_priceAndReview.html.twig"
                    priority: 40
                short_description:
                    template: "@SyliusShop/Product/Show/_shortDescription.html.twig"
                    priority: 20
                after_description_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 15
                    context:
                        event: sylius.shop.product.show.after_description
                reassurance:
                    template: "@SyliusShop/Product/Show/_reassurance.html.twig"
                    priority: 14
                variant_selection:
                    template: "@SyliusShop/Product/Show/_variantSelection.html.twig"
                    priority: 10
                after_add_to_cart_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 5
                    context:
                        event: sylius.shop.product.show.after_add_to_cart
                price_widget:
                    template: "null"
                    priority: 0
                after_price_legacy:
                    template: "null"
                    priority: 0
                    context:
                        event: sylius.shop.product.show.after_price
                reviews:
                    template: "null"
                    priority: 0
                after_reviews_legacy:
                    template: "null"
                    priority: 0
                    context:
                        event: sylius.shop.product.show.after_reviews
            
        sylius.shop.product.show.right_sidebar.price_and_review:
            blocks:
                price_widget:
                    template: "@SyliusShop/Product/Show/_priceWidget.html.twig"
                    priority: 40
                after_price_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 35
                    context:
                        event: sylius.shop.product.show.after_price
                reviews:
                    template: "@SyliusShop/Product/Show/_reviews.html.twig"
                    priority: 30
                after_reviews_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 25
                    context:
                        event: sylius.shop.product.show.after_reviews

        sylius.shop.taxon.header:
            blocks:
                header:
                    template: "@SyliusShop/Taxon/Header/_content.html.twig"
                    priority: 20
                after_header_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 15
                    context:
                        event: sylius.shop.taxon.header.after
                breadcrumb:
                    template: "@SyliusShop/Taxon/_breadcrumb.html.twig"
                    priority: 10
                before_header_legacy:
                    template: "@SyliusUi/Block/_legacySonataEvent.html.twig"
                    priority: 5
                    context:
                        event: sylius.shop.taxon.header.before